OgreGLES2Prerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreLogManager.h"`
`#include "OgreMath.h"`
`#include <OpenGLES/ES2/gl.h>`
`#include <OpenGLES/ES2/glext.h>`

Go to the source code of this file.

## Defines

#define | __PRETTY_FUNCTION__ __FUNCTION__
#define | GL_NONE 0
#define | _OgreGLES2Export __declspec(dllimport)
#define | DEBUG_(text)
#define | ENABLE_GL_CHECK 0
#define | GL_CHECK_ERROR {}
#define | EGL_CHECK_ERROR {}

## Define Documentation

#define __PRETTY_FUNCTION__ __FUNCTION__

Definition at line 38 of file OgreGLES2Prerequisites.h.

#define _OgreGLES2Export __declspec(dllimport)

Definition at line 128 of file OgreGLES2Prerequisites.h.

#define DEBUG_ | ( |  | text | ) |

Value:

    {\
            fprintf(stderr, "%s:%d: %s\n", __FUNCTION__, __LINE__, text); \
        }

Definition at line 137 of file OgreGLES2Prerequisites.h.

#define EGL_CHECK_ERROR {}

Definition at line 181 of file OgreGLES2Prerequisites.h.

#define ENABLE_GL_CHECK 0

Definition at line 142 of file OgreGLES2Prerequisites.h.

#define GL_CHECK_ERROR {}

Definition at line 165 of file OgreGLES2Prerequisites.h.

#define GL_NONE 0

Definition at line 110 of file OgreGLES2Prerequisites.h.

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24